#include <errno.h>
#include <stdio.h>
#include "libpgm.h"

void main (void)
{
  float *imgfloat;
  unsigned char *imgchar;
  int alto, ancho,i ,j;
  

  printf("Leyendo fichero prueba.pgm...\n");
  lee_pgm_float(&alto, &ancho, "prueba.pgm", &imgfloat);

  printf("He leido un fichero de ancho %d y alto %d\n", ancho, alto);

  printf("Escribiendo fichero prueba2.pgm...\n");
  escribe_pgm_float(alto, ancho, "prueba2.pgm", imgfloat);
  
  for (j = 0; j < alto; j++)
    for (i = 0; i < ancho; i++)
      if (i > j) imgfloat[ancho * j + i] = -imgfloat[ancho * j + i];

  printf("Escribiendo fichero prueba3.pgm...\n");
  escribe_pgm_float2(alto, ancho, "prueba3.pgm", imgfloat);
  
  printf("Escribiendo fichero prueba4.pgm...\n");
  escribe_pgm_float(alto, ancho, "prueba4.pgm", imgfloat);

  printf("Leyendo fichero prueba.pgm...\n");
  lee_pgm_uchar(&alto, &ancho, "prueba.pgm", &imgchar);

  printf("He leido un fichero de ancho %d y alto %d\n", ancho, alto);
  printf("Escribiendo fichero prueba5.pgm...\n");
  escribe_pgm_uchar(alto, ancho, "prueba5.pgm", imgchar);
  
}

