/***************** Cabecera de Mdulo *************************************
*MODULO: MODULO DE RUTINAS COMUNES A 2D Y 3D                              *
*PERTENECE AL PROYECTO:                                                   *
*DIRECTORIO: /home/acct/orobles/proyecto/onditas/src/                     *
*HISTORIA DE VERSIONES:                                                   *
*     (VERSION   FECHA, AUTOR                                             *
*          1.0    7-98  Oscar David Robles Sanchez                        *
*      .......   .....  ..........................                        *
**************************************************************************/


/********************** SECCION DESCRIPCION MODULO ************************
 Este modulo proporciona las operaciones comunes a 2D y 3D, que en realidad
se realizan sobre vectores, independientemente de la procedencia de los
datos.
**************************************************************************/
#ifndef COMUN
#define COMUN


/************************* SECCION DE INCLUDES ***************************
**************************************************************************/
#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include "../include/defs.h"

/********************* SECCION DE RESUMEN FUNCIONES **********************
**************************************************************************
Nombre                     Descripcion
======                     ===========
SelectMenores              Obtiene los k elementos mayores de un vector
SelectMenores              Obtiene los k elementos menores de un vector
       
********************** SECCION DE PROTOTIPOS *****************************
**************************************************************************/

int SelectMenores(int k, unsigned long n, Celda *arr[]);
int SelectMayores(int k, unsigned long n, Celda *arr[]);

#endif
